<?php

//Include the common file
require('../common.php');

//Check if the user is logged in
if (!$authentication->logged_in() || !$authentication->is_admin()) header("Location: login.php");

//Returns the number of rows
$row_count = $db->row_count("SELECT user_id FROM " . config_item('authentication', 'table_users') . " WHERE user_status = 1");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
<!-- BEGIN head -->	
<head>
	
	<!-- Meta Tags -->
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> 
	
	<!-- Title -->
	<title>Authentication System</title>

	<!-- Style sheet -->
	<link href="css/style.css" rel="stylesheet" type="text/css" />
	<link href="css/reset.css" rel="stylesheet" type="text/css" />
	<link href="css/text.css" rel="stylesheet" type="text/css" />
	<link href="css/960.css" rel="stylesheet" type="text/css" />
	<link href="css/table.css" rel="stylesheet" type="text/css" />
	<link href="css/jquery.qtip.min.css" rel="stylesheet" type="text/css" />

	<!-- jQuery -->
	<script type="text/javascript" src="js/jquery.min.js"></script>
	<!-- jQuery plugins -->
	<script type="text/javascript" src="js/jquery.qtip.min.js"></script>
			
	<!-- Custom js -->
	<script type="text/javascript" src="js/custom.js"></script>
	
</head>
<!-- END head -->

<!-- BEGIN body -->
<body>

<!-- BEGIN #wrapper -->
<div id="wrapper">
	
	<!-- BEGIN #header -->
	<div id="header" class="container_12">
		
		<!-- BEGIN .grid_8 -->						
		<div class="grid_8">
			<a href="index.php"><img src="images/logo.png" alt="" /></a>
		</div>
		<!-- END .grid_8 -->
		
		<!-- BEGIN #user_menu -->
		<div id="user_menu" class="grid_4">
			<ul>
				<li><span><strong>Welcome:</strong> <?php if ($session->get('user_email')) echo $session->get('user_email'); ?></span></li>
				<li><a href="index.php"><img src="images/home.png" alt="" /></a></li>
				<li><a href="account.php"><img src="images/user.png" alt="" title="Profile" /></a></li>
				<li><a href="index.php?logout"><img src="images/logout.png" alt="" title="Logout" /></a></li>
			</ul>
		</div>
		<!-- END #user_menu -->
		
		<div class="clear">&nbsp;</div>
		
		<div class="grid_12 line">&nbsp;</div>
		
		<div class="clear">&nbsp;</div>
		
		<!-- BEGIN #main_menu -->
		<div id="main_menu" class="grid_9">
			<ul>
				<li><a href="users.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('users.php', 'add_user.php', 'edit_user.php'))) echo 'class="current"'; ?>>Users</a></li>
				<li><a href="groups.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('groups.php', 'add_group.php', 'edit_group.php'))) echo 'class="current"'; ?>>Groups</a></li>
				<li><a href="settings.php" <?php if (in_array(basename($_SERVER['PHP_SELF']), array('settings.php'))) echo 'class="current"'; ?>>Settings</a></li>
			</ul>
		</div>
		<!-- END #main_menu -->
				
		<div class="clear">&nbsp;</div>
						
	</div>
	<!-- END #header -->
	
	<?php if (is_dir(realpath(dirname(__FILE__) . '/../') . '/install')): ?>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>Install folder still exists and should be deleted for security reasons.</p>
			</div>
			<div class="clear"></div>
		</div>
	<?php endif; ?>

	<noscript>
		<div class="container_12">
			<div class="grid_12 alert error">
				<span>
					<strong>Warning</strong>
				</span>	
				<p>
					Many features on the web site require Javascript and cookies, you can enable both via your browser's
					preference settings.
				</p>
			</div>
			<div class="clear"></div>
		</div>
	</noscript>

	<!-- BEGIN #main -->
	<div id="main" class="container_12">

		<!-- BEGIN .grid_12 -->
		<div class="grid_12">

			<!-- BEGIN .title_background -->
			<div class="title_background">
				<h1>Latest 10 active users</h1>
			</div>
			<!-- END .title_background -->
			
			<?php if ($row_count > 0): ?>
				
				<table class="table">
					<thead>
						<tr>
							<th>Name</th>
							<th>Active</th>
							<th>Email</th>
							<th>Last login</th>
							<th>Action</th>
						</tr>
					</thead>
					<tbody>
										
					<?php foreach($authentication->get_newest_users() as $row): ?>
									
						<tr>
							<td>
								<img src="<?php echo get_gravatar($row['user_email'], 24, config_item('authentication', 'site_url') . 'admin/images/gravatar_24.png'); ?>" alt ="" class="gravatar" />
								<?php echo $row['first_name']; ?> <?php echo $row['last_name']; ?>
							</td>
							<td><?php echo $row['user_status'] ? 'Yes' : 'No'; ?></td>
							<td><?php echo $row['user_email']; ?></td>
							<td><?php if ($row['last_login'] != 0) echo date('d/m/Y H.i.s', $row['last_login']); else echo '-'; ?></td>
							<td>
								<a href="edit_user.php?user_id=<?php echo $row['user_id']; ?>" title="Edit: <?php echo $row['user_email']; ?>"><img src="images/details.png" alt="" /></a>
								<a href="access_logs.php?user_id=<?php echo $row['user_id']; ?>" title="Access logs"><img src="images/globe.png" alt="" /></a>
							</td>
						</tr>
					
					<?php endforeach; ?>
					
					</tbody>
				</table>

			<?php else: ?>
			
				<div class="alert info">
					<p>Users not found.</p>
				</div>
				
			<?php endif; ?>
													
		</div>
		<!-- END .grid_12 -->
		
		<div class="clear">&nbsp;</div>
		
	</div>
	<!-- END #main -->

</div>
<!-- END #wrapper -->

<!-- BEGIN .container_12 -->
<div class="container_12">
	
	<!-- BEGIN #footer -->
	<div id="footer" class="grid_12 text_center">
		<p>Copyright &copy; 2012 Gnt Studio</p>
	</div>
	<!-- END #footer -->
	
	<div class="clear">&nbsp;</div>
	
</div>
<!-- END .container_12 -->
			
</body>
<!-- END body -->

</html>
