<?php if (__FILE__ == $_SERVER['SCRIPT_FILENAME']) exit('No direct access allowed.');

//Initialize core objects
$db = new Database();
$authentication = new Authentication();
$error = new Error();
$session = new Session();
$validate = new Validate();

//Logout
if (isset($_GET['logout']) && !$_POST) {

	$authentication->logout();

	header("Location: login.php");

}

/**
 * Load a config file
 */
function config_load($name) {
		
	$configuration = array();

	if (!file_exists(dirname(__FILE__) . '/config/' . $name . '.php'))
		die('The file ' . dirname(__FILE__) . '/config/' . $name . '.php does not exist.');

	require(dirname(__FILE__) . '/config/' . $name . '.php');
		
	if (!isset($config) OR !is_array($config))
		die('The file ' . dirname(__FILE__) . '/config/' . $name . '.php file does not appear to be formatted correctly.');
			
	if (isset($config) AND is_array($config))
		$configuration = array_merge($configuration, $config);
	
	return $configuration;

}

/**
 * Load a config item 
 */
function config_item($name, $item) {
	
	static $config_item = array();

	if (!isset($config_item[$item])) {
	
		$config = config_load($name);

		if (!isset($config[$item]))
			return FALSE;
	
		$config_item[$item] = $config[$item];
		
	}
	
	return $config_item[$item];

}

/**
 * Autoloading classes
 */
function __autoload($class_name) {

	require_once('libraries/' . $class_name . '.php');

}

/**
 * Save the authentication settings
 */
function save_config($config) {
	
	define('DIR_APPLICATION', str_replace('\'', '/', realpath(dirname(__FILE__))) . '/');
	
	$content = "";
	$content .= "<?php if (__FILE__ == \$_SERVER['SCRIPT_FILENAME']) exit('No direct access allowed.');\n\n";

	$content .= "\$config['table_users'] = 'users';\n";
	$content .= "\$config['table_groups'] = 'user_groups';\n";
	$content .= "\$config['table_profiles'] = 'user_profiles';\n";
	$content .= "\$config['table_access_logs'] = 'access_logs';\n\n";
		
	$content .= "\$config['site_title'] = '" . filter_var($config['site_title'], FILTER_SANITIZE_STRING) . "';\n\n";

	$content .= "\$config['site_url'] = '" . filter_var($config['site_url'], FILTER_SANITIZE_STRING) . "';\n\n";
	
	$content .= "\$config['absolute_path'] = '" . DIR_APPLICATION . "';\n\n";

	$content .= "\$config['admin_email'] = '" . $config['admin_email'] . "';\n\n";

	$content .= "\$config['default_group'] = " . $config['default_group'] . ";\n\n";

	$content .= "\$config['admin_group'] =  1;\n\n";

	if ($config['type_registration'] == 0) {
		
		$email_activation = "false";
		$approve_registration = "false";
	
	} else if ($config['type_registration'] == 1) {
		
		$email_activation = "true";
		$approve_registration = "false";
		
	} else if ($config['type_registration'] == 2) {
	
		$email_activation = "false";
		$approve_registration = "true";
	
	}
	
	$content .= "\$config['email_activation'] = " . $email_activation . ";\n\n";

	$content .= "\$config['approve_registration'] = " . $approve_registration . ";\n\n";

	$content .= "\$config['email_activation_expire'] = 60 * 60 * 24;\n\n";

	$content .= "\$config['email_subject_1'] = 'Thank you for registering';\n\n";

	$content .= "\$config['email_subject_2'] = 'New password';\n\n";

	$content .= "\$config['email_subject_3'] = 'A new customer has registered';\n\n";

	$content .= "\$config['user_expire'] = 3600 * 24 * 30;\n\n";

	$content .= "\$config['secret_word'] = '" . config_item('authentication', 'secret_word') . "';\n\n";
	
	$content .= "\$config['per_page_admin'] = " . $config['per_page_admin'] . ";\n\n";

	if ($config['access_logs'] == 0) {
		
		$access_logs = "false";
	
	} else if ($config['access_logs'] == 1) {
		
		$access_logs = "true";
		
	}
		
	$content .= "\$config['access_logs'] = " . $access_logs . ";\n\n";

	if ($config['recaptcha'] == 0) {
		
		$recaptcha = "false";
	
	} else if ($config['recaptcha'] == 1) {
		
		$recaptcha = "true";
		
	}
		
	$content .= "\$config['recaptcha'] = " . $recaptcha . ";\n\n";
	
	$content .= "\$config['recaptcha_public_key'] = '" . $config['recaptcha_public_key'] . "';\n\n";
	
	$content .= "\$config['recaptcha_private_key'] = '" . $config['recaptcha_private_key'] . "';\n\n";
	
	$content .= "?>";

	file_put_contents("../config/authentication.php", $content, LOCK_EX);
	
}

/**
 * Get Gravatar URL for a specified email address
 */
function get_gravatar($email, $size = 80, $default = 'mm') {
	
	return "http://www.gravatar.com/avatar/" . md5(strtolower(trim($email))) . "?d=" . urlencode($default) . "&amp;s=" . $size;
	
}
