CREATE TABLE IF NOT EXISTS users (
	user_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	group_id INT(11) UNSIGNED NOT NULL,
	user_email VARCHAR(100) NOT NULL,
	user_password VARCHAR(40) NOT NULL,
	user_status TINYINT(1) UNSIGNED DEFAULT NULL,
	user_approved TINYINT(1) UNSIGNED DEFAULT NULL,
	user_created INT(11) UNSIGNED NOT NULL,
	last_login INT(11) UNSIGNED NOT NULL,
	last_ip VARCHAR(40) NOT NULL,
	remember_code VARCHAR(40) DEFAULT NULL,
	activation_code VARCHAR(40) DEFAULT NULL,
	PRIMARY KEY (user_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

CREATE TABLE IF NOT EXISTS user_profiles (
	profile_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	user_id INT(11) UNSIGNED NOT NULL,
	first_name VARCHAR(50) DEFAULT NULL,  
	last_name VARCHAR(50) DEFAULT NULL, 
	PRIMARY KEY (profile_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO user_profiles VALUES (1, 1, 'Super', 'Admin');

CREATE TABLE IF NOT EXISTS user_groups (
	group_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	group_name VARCHAR(20) NOT NULL,
	group_description VARCHAR(100) NOT NULL,
	PRIMARY KEY (group_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO user_groups VALUES
(1, 'admin', 'Administrator'),
(2, 'member', 'Member');

CREATE TABLE IF NOT EXISTS access_logs (
	log_id INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
	user_id INT(11) UNSIGNED NOT NULL,
	log_ip VARCHAR(15) NOT NULL,
	time INT(11) UNSIGNED NOT NULL,
	PRIMARY KEY (log_id)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;
